### Paramètres en ligne de commande

Il existe quelques options en ligne de commande qui peuvent être passées à l'exécutable pgadmin3 à son démarrage.

- -h Affiche l'aide sur les paramètres en ligne de commande.
- -s <description serveur> Se connecte automatiquement au serveur indiqué. <description serveur> est la description saisi à l'ajout du serveur dans le navigateur de pgAdmin, entre guillemets si nécessaire. Si plusieurs serveurs sont enregistrés avec la même description, la connexion automatique aura seulement lieu sur le premier serveur trouvé .
- -S Ouvre la fenêtre d'état du serveur à la connexion. S'il est utilisé avec l'option -s <description serveur>, la fenêtre sera automatiquement connectée à ce serveur. Si utilisé seul, un dialogue va demander les informations de connexion. Cette option ne peut pas être utilisée avec l'option -qc <chaine connexion>.
- -Sc <chaine connexion> Ouvre la fenêtre d'état du serveur à la connexion. Cet outil sera automatiquement connecté au serveur spécifié dans la chaîne de connexion. Cette option ne peut pas être utilisée avec l'option -q.
- -q Ouvre l'outil de requêtage à la connexion. S'il est utilisé avec l'option -s <description serveur>, l'outil de requêtage sera automatiquement connecté à ce serveur. Si utilisé seul, un dialogue va demander les informations de connexion. Cette option ne peut pas être utilisée avec l'option -qc <chaine connexion>.
- -qc <chaine connexion> Ouvre l'outil de requêtage à la connexion. Cet outil sera automatiquement connecté au serveur spécifié dans la chaîne de connexion. Cette option ne peut pas être utilisée avec l'option -q.
- -f <SQL script> Ouvre automatiquement le script SQL spécifié dans l'outil de requêtage. Seulement utile avec -q et -qc.
- -ch <hba file> Édite le fichier de configuration pg_hba.conf spécifié.
- -cm <config file> Édite le fichier de configuration postgresql.conf spécifié.
- -cp <pgpass file> Édite le fichier de configuration .pgpass/pgpass.conf spécifié.
- -c <dir> Édite les fichiers de configuration du répertoire spécifié.
- -t Lance pgAdminII en mode de test de traduction des dialogues. Ce mode permet de visualiser chaque dialogue sans avoir à exécuter l'application complète, ce qui permet de tester plus rapidement les traductions.